/*
    Deklarationen, die fr alle Module auf dem Board gleich gelten
    mssen


*/

/////// Allgemeine Typendeklarationen ///////////

#define hibyte(x)   (*(&x+1))
#define lobyte(x)   (*(&x))
#define RSWDT()		restart_wdt()

// Allgemeine SPI Protokoll Befehle

// SPI Token des Masters, die an Slave gesendet werden
#define MASTER_READY			0xA0	// Masteranfrage: Empfangsbereit?
#define MASTER_START			0xB0	// Datenanfang
#define MASTER_COMTEST      	0xC0    // Fhre Kommunikationstest durch
//#define MASTER_RESET        	0xC1    // Slave: Resetten

// SPI Antworten des Slaves 
#define SLAVE_READY				0xA1	// Slave: bereit Daten aufzunehmen
#define SLAVE_BUFFER_FULL		0xB1	// Slave: Pufferspeicher ist voll
#define SLAVE_DATASTART			0xB2	// Slave: Daten folgen
#define SLAVE_ACK				0xC1	// Slave: Besttigung
#define SLAVE_ERROR				0xF1	// Slave: Fehler
#define SLAVE_NOCMD         	0xF2	// Slave: Kein Kommando erkannt

// >>>> DISPLAY Controller Tokens <<<<<

// 7 Segment
#define MASTER_7SEG_INTEGER		0x10	// Ein Integerwert kommt
#define MASTER_7SEG_INTENS		0x20	// Intensitt setzen		
#define MASTER_7SEG_LINE_0		0x00	// Zeile 0 (6 Digits) anwhlen
#define MASTER_7SEG_LINE_1		0x00	// Zeile 1 (2 Digits) anwhlen

// LCD
#define MASTER_LCD				0xD0	// LCD Befehl
#define MASTER_LCD_HOME			0xD1	// Cursor auf Zeilenanfang setzen
#define MASTER_LCD_CLEAR		0xD2	// Display lschen
#define MASTER_LCD_INIT			0xD3	// Display initialisieren
#define MASTER_LCD_ON			0xD4	// ein
#define MASTER_LCD_OFF			0xD5	// aus
#define MASTER_LCD_WRITE		0xD6	// Schreibe einen Text
#define	MASTER_LCD_CLEAR_L1		0xD7	// Lsche Zeile x
#define	MASTER_LCD_CLEAR_L2		0xD8
#define	MASTER_LCD_CLEAR_L3		0xD9
#define	MASTER_LCD_CLEAR_L4		0xDA

// >>>>>>>>> IR Modul <<<<<<<<<<<<<<<

#define MASTER_TSOPON			0xC0		// TSOP einschalten!
#define MASTER_TSOPOFF			0xC1		// TSOP ausschalten!
#define MASTER_RESCOUNTER   	0xD0        // Den Bytezhler resetten
#define MASTER_GETSENDCNT   	0xD1		// Den Sende Bytezhler auslesen
#define MASTER_GETRECCNT    	0xD2        // Den Empfangs Zhler auslesen

#define MASTER_CMD          	0x55
#define MASTER_DATA         	0x66



