#include "18F4685.h"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     #USE DELAY(clock=16000000,restart_wdt)
#ZERO_RAM
#fuses INTRC_IO,BROWNOUT,NOPROTECT,BORV43,NOPUT,NOLVP,NOWDT,WDT32768,NOWRT,STVREN,DEBUG,NOWRTB,NOEBTR,NOEBTRB
#USE RS232 (baud=57600,parity=N,bits=8,xmit=PIN_C6, rcv=PIN_C7)
#USE FAST_IO(A)
#USE FAST_IO(B)
#USE FAST_IO(C)
#use FAST_IO(D)
#use FAST_IO(E)

#byte TRISA = 0xf92
#byte TRISB = 0xf93
#byte TRISC = 0xf94
#byte TRISD = 0xf95
#byte TRISE = 0xf96

#byte PORTA  = 0xf80		
#byte PORTB  = 0xf81		
#byte PORTC  = 0xf82
#byte PORTD  = 0xf83
#byte PORTE  = 0xf84

typedef short int bit;
#define NOP() #asm nop #asmend

// An den Ports angeschlossene Pins des RAM

#byte CHIPSEL 	   = 0xf84		// Chip Decoder an Port E, Bit 0-2
#bit  LED_AKTIV    = PORTB.5    // LED am 18F
#bit  RFM12IRQ	   = PORTB.1	// Funkmodul RFM12 Interrupt
#bit  SDI 		   = PORTC.4
#bit  SDO 		   = PORTC.5
#bit  SCK		   = PORTC.3	

// 16 Bit Shift Register
#bit  SHIFTER_DIN  = PORTD.0    // Datenbits
#bit  SHIFTER_CLK  = PORTC.1	// Clock
#bit  SHIFTER_LOAD = PORTD.1    // Load Impuls fr Latch

#bit  DECODER_EN   = PORTD.2
#bit  SPEAKER 	   = PORTD.5
#bit  LICHT		   = PORTD.6
#bit  RESETALL     = PORTD.7
#bit  RDY_IRED	   = PORTB.2

// >>>>>>> SFR Bit Positions <<<<<<<<<<

#bit PLLEN = 0xF9B.6	// PLL einschalten

#byte OSCTUNE = 0xF9B		

// SPI

#byte SSPCON1		= 0xfc6
#byte SSPCON2		= 0xfc5
#byte SSPBUF		= 0xfc9
#byte SSPSTAT 		= 0xfc7
#byte SSPADD		= 0xfc8

#bit  SSPSTAT_SMP   = 0xfc7.7
#bit  SSPSTAT_CKE	= 0xfc7.6
#bit  SSPSTAT_BF	= 0xfc7.0
#bit  SSPCON1_WCOL  = 0xfc6.7
#bit  SSPCON1_SSPOV = 0xfc6.6
#bit  SSPCON1_SSPEN = 0xfc6.5
#bit  SSPCON1_CKP   = 0xfc6.4
#bit  SSPIF			= 0xf9e.3

#byte PIR1			= 0xf9e
#byte INTCON2		= 0xff1
#byte INTCON3		= 0xff0

#bit  INTEDG2		= 0xff1.4
#bit  INT2IF		= 0xff0.1
#bit  INT1IF		= 0xff0.0

// OSCCON Register

#bit IOFS  = 0xFD3.2	// 1 = INTOSC stable
#bit OSTS  = 0xFD3.3	// Oscillator running (Read Only)
#bit IRCF0 = 0xFD3.4	// Taktfrequenz whlen
#bit IRCF1 = 0xFD3.5
#bit IRCF2 = 0xFD3.6
#bit IDLEN = 0xFD3.7	// 1=Idle / 0=Sleep
